=== plugins/Makefile ===
#
# Plugins Makefile for ViTE project
#

VITEDIR ?= ../trunk

include $(VITEDIR)/Makefile.in

PLUGINS = Distribution   \
	  TraceInfos	 \
	  Matrix

all: $(PLUGINS)
	@for i in $(PLUGINS) ;                       			\
	do 								\
		echo "--------  Plugin $${i}  --------";		\
		( cd $${i} && VITEDIR=$(VITEDIR) $(QMAKECMD) $${i}.pro);\
		( cd $${i} && VITEDIR=$(VITEDIR) $(MAKECMD) ); 		\
	done;

clean:
	@for i in $(PLUGINS) ;                       			\
	do 								\
	if test -e $${i}/Makefile; then					\
		cd $${i} && VITEDIR=$(VITEDIR) $(MAKE) clean;	 	\
	fi;								\
	done;

cleanall:	clean
#	@for i in $(PLUGINS) ;                       			\
	do 								\
		( cd $${i} && VITEDIR=$(VITEDIR) $(MAKE) cleanall );    \
	done;

distclean:	cleanall
#	@for i in $(PLUGINS) ;                       			\
	do 								\
		( cd $${i} && VITEDIR=$(VITEDIR) $(MAKE) distclean );   \
	done;

.PHONY : $(PLUGINS)
