=== debian/changelog ===
vite (1.2+svn1347-3) unstable; urgency=low

  * patches/paje: New patch to fix paje parsing (Closes: Bug#695678).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 11 Dec 2012 17:04:46 +0100

vite (1.2+svn1347-2) unstable; urgency=low

  * patches/overflow.patch: New upstream patch to fix overflow on big input
    traces.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 03 Aug 2012 22:37:18 +0200

vite (1.2+svn1347-1) unstable; urgency=low

  * New upstream snapshot (Closes: Bug#667410).
  * patches/gold-fix.diff: Remove, merged upstream.
  * control:
    - Add cmake build-dep.
    - Add libotf-trace-dev build-dep instead of shipping it.
  * Bump Standards-Version to 3.9.3 (no change needed)
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 May 2012 14:54:33 +0200
