=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@

override_dh_auto_configure:
	cmake . -DVITE_ENABLE_OTF=ON \
		-DVITE_ENABLE_MT_PARSERS=ON

override_dh_auto_build:
	$(MAKE) all
	$(MAKE) -C docs/user_manual
	$(MAKE) -C docs/technical_manual

override_dh_auto_install:

override_dh_auto_clean:
	$(MAKE) -C docs/user_manual clean
	$(MAKE) -C docs/technical_manual clean
	-rm -f $(shell cat debian/toclean)
	dh_auto_clean
