## vite 1.2+svn1399

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,11 +40,11 @@
 find_package(GLU)
 
 ### Optimization options
-option(VITE_ENABLE_SERIALIZATION 
+option(VITE_ENABLE_SERIALIZATION
   "Enable the support of Boost Serialization." OFF)
-option(VITE_ENABLE_VBO 
+option(VITE_ENABLE_VBO
   "Enable the support of VBO." OFF)
-option(VITE_ENABLE_MT_PARSERS 
+option(VITE_ENABLE_MT_PARSERS
   "Enable multi-threading in parsers." OFF)
 
 ### Debug options
@@ -54,9 +54,9 @@
   "Enable trace generation of memory usage (requires MEMORY_USAGE)." OFF "VITE_DBG_MEMORY_USAGE" OFF)
 
 ### Trace format options
-option(VITE_ENABLE_OTF 
+option(VITE_ENABLE_OTF
   "Enable the support of OTF file format." OFF)
-option(VITE_ENABLE_TAU 
+option(VITE_ENABLE_TAU
   "Enable the support of TAU file format." OFF)
 
 # timeval, timespec, realtime clocks, etc
@@ -90,13 +90,13 @@
 
 #
 # Find optional packages
-# 
+#
 
-# Search for Boost 
-#    Components : filesystem, iostreams, programoptions, python, regex, 
+# Search for Boost
+#    Components : filesystem, iostreams, programoptions, python, regex,
 #                 serialization, signals, system, thread, wave
 if(VITE_ENABLE_SERIALIZATION)
-  find_package( Boost COMPONENTS serialization thread iostreams)
+  find_package( Boost COMPONENTS serialization thread iostreams system)
 endif(VITE_ENABLE_SERIALIZATION)
 
 if(VITE_ENABLE_VBO)
