=== src/CMakeLists.txt ===
--- 
+++ 
@@ -111,19 +111,13 @@
   parser/ParsingThread.hpp
   parser/Parser.hpp
   parser/ParserFactory.hpp
-  # Paje 
+  # Paje
   parser/PajeParser/PajeDefinition.hpp
   parser/PajeParser/PajeFileManager.hpp
   parser/PajeParser/ParserDefinitionPaje.hpp
   parser/PajeParser/ParserEventPaje.hpp
   parser/PajeParser/ParserPaje.hpp
   parser/PajeParser/ParserVite.hpp
-  #Multithread Paje
-  parser/PajeParser/mt_ParserEventPaje.hpp
-  parser/PajeParser/mt_ParserPaje.hpp
-  parser/PajeParser/mt_PajeFileManager.hpp
-  parser/PajeParser/BuilderThread.hpp
-  trace/TraceBuilderThread.hpp
   # Statistics headers
   statistics/Stats_window.hpp
   statistics/Statistic.hpp
@@ -150,7 +144,7 @@
 )
 
 SET(VITE_SRCS
-  # Messages & Errors 
+  # Messages & Errors
   common/Message.cpp
   common/Errors.cpp
   common/Tools.cpp
@@ -204,12 +198,6 @@
   parser/PajeParser/ParserEventPaje.cpp
   parser/PajeParser/ParserPaje.cpp
   parser/PajeParser/ParserVite.cpp
-  #Multithread Paje Parser
-  parser/PajeParser/mt_ParserEventPaje.cpp
-  parser/PajeParser/mt_ParserPaje.cpp
-  parser/PajeParser/mt_PajeFileManager.cpp
-  parser/PajeParser/BuilderThread.cpp
-  trace/TraceBuilderThread.cpp
   # Statistics code files
   statistics/Statistic.cpp
   statistics/Stats_window.cpp
@@ -268,7 +256,7 @@
     ${VITE_SRCS}
     render/vbo.cpp
     render/Render_alternate.cpp
-    )  
+    )
 ENDIF(VITE_ENABLE_VBO)
 
 #############################################
@@ -282,9 +270,6 @@
     parser/OTFParser/ParserDefinitionOTF.hpp
     parser/OTFParser/ParserEventOTF.hpp
     parser/OTFParser/ParserOTF.hpp
-    parser/OTFParser/mt_ParserEventOTF.hpp
-    parser/OTFParser/mt_ParserOTF.hpp
-    parser/OTFParser/OTFTraceBuilderThread.hpp
     )
 
   SET(VITE_SRCS
@@ -292,12 +277,24 @@
     parser/OTFParser/ParserDefinitionOTF.cpp
     parser/OTFParser/ParserEventOTF.cpp
     parser/OTFParser/ParserOTF.cpp
-    parser/OTFParser/mt_ParserEventOTF.cpp
-    parser/OTFParser/mt_ParserOTF.cpp
-    parser/OTFParser/OTFTraceBuilderThread.cpp
-    )
-
-  INCLUDE_DIRECTORIES(${OTF_INCLUDE_DIR})
+    )
+
+  IF(VITE_ENABLE_MT_PARSERS)
+    SET(VITE_HDRS
+      ${VITE_HDRS}
+      parser/OTFParser/mt_ParserEventOTF.hpp
+      parser/OTFParser/mt_ParserOTF.hpp
+      parser/OTFParser/OTFTraceBuilderThread.hpp
+      )
+    SET(VITE_SRCS
+      ${VITE_SRCS}
+      parser/OTFParser/mt_ParserEventOTF.cpp
+      parser/OTFParser/mt_ParserOTF.cpp
+      parser/OTFParser/OTFTraceBuilderThread.cpp
+      )
+  ENDIF()
+  
+  INCLUDE_DIRECTORIES(BEFORE ${OTF_INCLUDE_DIR})
 
 ENDIF(VITE_ENABLE_OTF)
 
@@ -322,10 +319,34 @@
 
 ENDIF(VITE_ENABLE_TAU)
 
-#ADD_DEFINITIONS(-DMEMORY_USAGE)
-#ADD_DEFINITIONS(-DMEMORY_TRACE)
-
-  
+#############################################
+#        Multi-threaded Paje Parser
+#############################################
+
+IF(VITE_ENABLE_MT_PARSERS)
+
+  SET(VITE_HDRS
+    ${VITE_HDRS}
+    #Multithread Paje
+    parser/PajeParser/mt_ParserEventPaje.hpp
+    parser/PajeParser/mt_ParserPaje.hpp
+    parser/PajeParser/mt_PajeFileManager.hpp
+    parser/PajeParser/BuilderThread.hpp
+    trace/TraceBuilderThread.hpp
+    )
+
+  SET(VITE_SRCS
+    ${VITE_SRCS}
+    #Multithread Paje Parser
+    parser/PajeParser/mt_ParserEventPaje.cpp
+    parser/PajeParser/mt_ParserPaje.cpp
+    parser/PajeParser/mt_PajeFileManager.cpp
+    parser/PajeParser/BuilderThread.cpp
+    trace/TraceBuilderThread.cpp
+    )
+
+ENDIF()
+
 #############################################
 #                BOOST
 #############################################
@@ -333,23 +354,23 @@
   link_directories ( ${Boost_LIBRARY_DIRS} )
   include_directories ( ${Boost_INCLUDE_DIRS} )
   add_definitions("-DUSE_ITC -DBOOST_SERIALIZE")
-  
+
   SET(VITE_HDRS
     ${VITE_HDRS}
-    parser/ParserSplitted.hpp 
-    trace/IntervalOfContainer.hpp 
-    trace/SerializerWriter.hpp 
+    parser/ParserSplitted.hpp
+    trace/IntervalOfContainer.hpp
+    trace/SerializerWriter.hpp
     trace/SerializerDispatcher.hpp
     )
-  
+
   SET(VITE_SRCS
     ${VITE_SRCS}
-    parser/ParserSplitted.cpp 
-    trace/IntervalOfContainer.cpp 
-    trace/SerializerWriter.cpp 
+    parser/ParserSplitted.cpp
+    trace/IntervalOfContainer.cpp
+    trace/SerializerWriter.cpp
     trace/SerializerDispatcher.cpp
-    )  
-  
+    )
+
 ENDIF(VITE_ENABLE_SERIALIZATION)
 
 
@@ -381,12 +402,17 @@
 )
 #ADD_LIBRARY(vite2 SHARED ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
 
+IF( VITE_ENABLE_OTF )
+  LINK_DIRECTORIES( ${OTF_LIBRARY_DIR} )
+ENDIF( VITE_ENABLE_OTF )
+
+
 if( APPLE )
   INCLUDE_DIRECTORIES(/usr/X11/include)
   SET( OSX_ICON_FILES "interface/icon/mac_logo.icns")
   set_source_files_properties(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
   ADD_EXECUTABLE(vite MACOSX_BUNDLE ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS} ${OSX_ICON_FILES})
-  SET_TARGET_PROPERTIES(vite PROPERTIES 
+  SET_TARGET_PROPERTIES(vite PROPERTIES
          MACOSX_BUNDLE_INFO_STRING "ViTE"
          MACOSX_BUNDLE_ICON_FILE "mac_logo.icns"
          MACOSX_BUNDLE_LONG_VERSION_STRING "Visual Trace Explorer - version ${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
@@ -394,7 +420,7 @@
          MACOSX_BUNDLE_SHORT_VERSION_STRING "ViTE-${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
          MACOSX_BUNDLE_BUNDLE_VERSION "1.0"
          MACOSX_BUNDLE_COPYRIGHT "INRIA 2006-2012"
-       	 MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/vite-info.plist.in)
+         MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/vite-info.plist.in)
 else( APPLE )
   ADD_EXECUTABLE(vite ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
 endif( APPLE )
@@ -410,7 +436,7 @@
   rt
   )
   ADD_DEFINITIONS("-DBOOST_GZIP")
-ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux") 
+ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 IF(VITE_ENABLE_VBO)
   TARGET_LINK_LIBRARIES(vite
@@ -430,4 +456,3 @@
     )
 ENDIF(VITE_ENABLE_TAU)
 
-INSTALL_TARGETS(/bin vite)
