=== debian/changelog ===
vite (1.2+svn1399-1) unstable; urgency=low

  * New upstream snapshot.
    - Fixes reading states in StarPU traces.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Oct 2013 17:13:45 +0200

vite (1.2+svn1380-1) unstable; urgency=low

  * New upstream snapshot.
  * patches/{paje,overflow.patch}: Remove, merged upstream
  * Bump Standards-Version to 3.9.4 (no changes).
  * rules: Use dh_auto_build instead of running make all ourself.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Sep 2013 16:19:21 +0200
