=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libotf-trace-dev,
  texlive-fonts-recommended,
  ghostscript, zlib1g-dev, hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://vite.gforge.inria.fr/
 Vcs-Browser: http://gforge.inria.fr/plugins/scmsvn/viewcvs.php/package/?root=vite
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/package
