=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 		-DVITE_ENABLE_MT_PARSERS=ON
 
 override_dh_auto_build:
-	$(MAKE) all
+	dh_auto_build
 	$(MAKE) -C docs/user_manual
 	$(MAKE) -C docs/technical_manual
