## vite 1.2+svn1430

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,10 +31,26 @@
 include (CMakeDependentOption)
 
 ### Required Packages
-find_package(Qt4 COMPONENTS QtCore QtGui QtXml REQUIRED)
-set(QT_USE_QTUITOOLS ON)
-set(QT_USE_QTOPENGL ON)
-include(${QT_USE_FILE})
+# Try to find Qt5 : http://forum.openscenegraph.org/viewtopic.php?t=11431
+set(USE_QT5 OFF)
+# QUIET option disables messages if the package cannot be found.
+find_package(Qt5Widgets QUIET)
+if(Qt5Widgets_FOUND)
+# CMake 2.8.8 or greater required for qt5 use
+ if("${CMAKE_VERSION}" VERSION_GREATER 2.8.7)
+   set(USE_QT5 ON)
+ endif()
+endif()
+
+if(USE_QT5)
+  set(CMAKE_AUTOMOC ON)
+  find_package(Qt5 COMPONENTS Core Xml Widgets OpenGL UiTools REQUIRED)
+else(USE_QT5) # Try Qt4
+  find_package(Qt4 COMPONENTS QtCore QtGui QtXml REQUIRED)
+  set(QT_USE_QTUITOOLS ON)
+  set(QT_USE_QTOPENGL ON)
+  include(${QT_USE_FILE})
+endif(USE_QT5)
 
 #find_package(OpenGL)
 find_package(GLU)
