=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,13 +42,14 @@
 #
 
 SET(VITE_HDRS
+  common/Errors.hpp
+  common/Info.hpp
+  common/Memory.hpp
+  common/Message.hpp
+  common/Palette.hpp
+  common/Session.hpp
+  common/Tools.hpp
   common/common.hpp
-  common/Message.hpp
-  common/Errors.hpp
-  common/Tools.hpp
-  common/Info.hpp
-  common/Session.hpp
-  common/Memory.hpp
   # Data structure headers
   trace/values/Color.hpp
   trace/values/Date.hpp
@@ -83,7 +84,6 @@
   trace/Trace.hpp
   trace/IntervalOfContainer.hpp
   # Render headers
-  render/Palette.hpp
   render/Render.hpp
   render/Geometry.hpp
   render/Hook_event.hpp
@@ -129,7 +129,7 @@
   plugin/Command_window.hpp
   plugin/Plugin_window.hpp
   plugin/Plugin.hpp
-)
+  )
 
 SET(VITE_UIS
   interface/info_window.ui
@@ -141,16 +141,17 @@
   interface/list_of_counter_to_export.ui
   interface/node_select.ui
   interface/interval_select.ui
-)
+  )
 
 SET(VITE_SRCS
   # Messages & Errors
+  common/Errors.cpp
+  common/Info.cpp
+  common/Memory.cpp
   common/Message.cpp
-  common/Errors.cpp
+  common/Palette.cpp
+  common/Session.cpp
   common/Tools.cpp
-  common/Info.cpp
-  common/Session.cpp
-  common/Memory.cpp
   # Data structure code files
   trace/values/Color.cpp
   trace/values/Date.cpp
@@ -177,7 +178,6 @@
   trace/Trace.cpp
   trace/IntervalOfContainer.cpp
   # Render code files
-  render/Palette.cpp
   render/Geometry.cpp
   render/Hook_event.cpp
   render/Render.hpp
@@ -373,33 +373,42 @@
 
 ENDIF(VITE_ENABLE_SERIALIZATION)
 
-
-#############################################
-#              QT4
-#############################################
-QT4_AUTOMOC(${VITE_SRCS})
-FOREACH(_hdrs_file ${VITE_HDRS})
-  GET_FILENAME_COMPONENT(_abs_file ${_hdrs_file} ABSOLUTE)
-  FILE(READ ${_abs_file} _contents)
-  STRING(REGEX MATCHALL "Q_OBJECT" _match "${_contents}")
-  IF(_match)
-    SET(VITE_MOC_HDRS ${VITE_MOC_HDRS} ${_hdrs_file})
-  ENDIF(_match)
-ENDFOREACH(_hdrs_file ${VITE_HDRS})
-
-QT4_WRAP_UI(VITE_UIS_H ${VITE_UIS})
-QT4_WRAP_CPP(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
-QT4_ADD_RESOURCES(VITE_RCC_SRCS ${VITE_RCCS})
-
-ADD_DEFINITIONS(-DQT_NO_DEBUG)
-
+#############################################
+#              QT5
+#############################################
+IF(USE_QT5)
+  QT5_WRAP_UI(VITE_UIS_H ${VITE_UIS})
+  QT5_WRAP_CPP(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
+  QT5_ADD_RESOURCES(VITE_RCC_SRCS ${VITE_RCCS})
+  ADD_DEFINITIONS(-DQT_NO_DEBUG)
+  #############################################
+  #              QT4
+  #############################################
+ELSE(USE_QT5)
+  QT4_AUTOMOC(${VITE_SRCS})
+  FOREACH(_hdrs_file ${VITE_HDRS})
+    GET_FILENAME_COMPONENT(_abs_file ${_hdrs_file} ABSOLUTE)
+    FILE(READ ${_abs_file} _contents)
+    STRING(REGEX MATCHALL "Q_OBJECT" _match "${_contents}")
+    IF(_match)
+      SET(VITE_MOC_HDRS ${VITE_MOC_HDRS} ${_hdrs_file})
+    ENDIF(_match)
+  ENDFOREACH(_hdrs_file ${VITE_HDRS})
+
+  QT4_WRAP_UI(VITE_UIS_H ${VITE_UIS})
+  QT4_WRAP_CPP(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
+  QT4_ADD_RESOURCES(VITE_RCC_SRCS ${VITE_RCCS})
+
+  ADD_DEFINITIONS(-DQT_NO_DEBUG)
+
+ENDIF(USE_QT5)
 #############################################
 
 INCLUDE_DIRECTORIES(
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${QTCOLORPICKERDIR}
-)
+  )
 #ADD_LIBRARY(vite2 SHARED ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
 
 IF( VITE_ENABLE_OTF )
@@ -413,46 +422,23 @@
   set_source_files_properties(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
   ADD_EXECUTABLE(vite MACOSX_BUNDLE ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS} ${OSX_ICON_FILES})
   SET_TARGET_PROPERTIES(vite PROPERTIES
-         MACOSX_BUNDLE_INFO_STRING "ViTE"
-         MACOSX_BUNDLE_ICON_FILE "mac_logo.icns"
-         MACOSX_BUNDLE_LONG_VERSION_STRING "Visual Trace Explorer - version ${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
-         MACOSX_BUNDLE_BUNDLE_NAME "Vite-MacOSX"
-         MACOSX_BUNDLE_SHORT_VERSION_STRING "ViTE-${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
-         MACOSX_BUNDLE_BUNDLE_VERSION "1.0"
-         MACOSX_BUNDLE_COPYRIGHT "INRIA 2006-2012"
-         MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/vite-info.plist.in)
+    MACOSX_BUNDLE_INFO_STRING "ViTE"
+    MACOSX_BUNDLE_ICON_FILE "mac_logo.icns"
+    MACOSX_BUNDLE_LONG_VERSION_STRING "Visual Trace Explorer - version ${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
+    MACOSX_BUNDLE_BUNDLE_NAME "Vite-MacOSX"
+    MACOSX_BUNDLE_SHORT_VERSION_STRING "ViTE-${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
+    MACOSX_BUNDLE_BUNDLE_VERSION "1.0"
+    MACOSX_BUNDLE_COPYRIGHT "INRIA 2006-2012"
+    MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/vite-info.plist.in)
 else( APPLE )
   ADD_EXECUTABLE(vite ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
 endif( APPLE )
 
+#############################################
+#              QT5
+#############################################
+IF(USE_QT5)
+  qt5_use_modules(vite Widgets Core Xml OpenGL UiTools)
+ENDIF(USE_QT5)
+
 TARGET_LINK_LIBRARIES(vite
-  ${QT_LIBRARIES}
-  ${GLU_LIBRARY}
-  ${Boost_LIBRARIES}
-  )
-
-IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-  TARGET_LINK_LIBRARIES(vite
-  rt
-  )
-  ADD_DEFINITIONS("-DBOOST_GZIP")
-ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-
-IF(VITE_ENABLE_VBO)
-  TARGET_LINK_LIBRARIES(vite
-    ${GLEW_LIBRARY}
-    )
-ENDIF(VITE_ENABLE_VBO)
-
-IF(VITE_ENABLE_OTF)
-  TARGET_LINK_LIBRARIES(vite
-    ${OTF_LIBRARY}
-    )
-ENDIF(VITE_ENABLE_OTF)
-
-IF(VITE_ENABLE_TAU)
-  TARGET_LINK_LIBRARIES(vite
-    ${TAU_LIBRARY}
-    )
-ENDIF(VITE_ENABLE_TAU)
-
