=== plugins/Distribution/CMakeLists.txt ===
--- 
+++ 
@@ -30,4 +30,8 @@
 
 add_library(Distribution SHARED ${DISTRIBUTION_srcs})
 
+IF(USE_QT5)
+  qt5_use_modules(Distribution Widgets Core)
+ENDIF(USE_QT5)
+
 install(TARGETS Distribution DESTINATION ${HOME}/.vite)
