=== plugins/TraceInfos/CMakeLists.txt ===
--- 
+++ 
@@ -30,4 +30,8 @@
 
 add_library(TraceInfos SHARED ${TRACEINFOS_srcs})
 
+IF(USE_QT5)
+  qt5_use_modules(TraceInfos Widgets Core)
+ENDIF(USE_QT5)
+
 install(TARGETS TraceInfos DESTINATION ${HOME}/.vite)
