=== debian/changelog ===
vite (1.2+svn1430-3) unstable; urgency=medium

  [ Pino Toscano ]
  * rules: Enable parallel build (Closes: Bug#767452).
  * rules, install, toclean: Simplify build by letting dh handle the cmake
    build (Closes: Bug#767455).

  [ Samuel Thibault ]
  * control: Fix svn URL.
  * menu: Drop.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 21:45:38 +0100

vite (1.2+svn1430-2) unstable; urgency=medium

  * control: remove spurious libqt4-opengl build-dependency, already pulled by
    libqt4-opengl-dev (Closes: Bug#767451).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Nov 2014 11:28:52 +0100

vite (1.2+svn1430-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 May 2014 18:40:07 +0200

vite (1.2+svn1424-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Mar 2014 00:57:07 +0100
