=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  cmake,
- libqt4-dev (>= 4:4.6), libqt4-opengl, libqt4-opengl-dev,
+ libqt4-dev (>= 4:4.6), libqt4-opengl-dev,
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  libotf-trace-dev,
  texlive-fonts-recommended,
  ghostscript, zlib1g-dev, hardening-wrapper
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://vite.gforge.inria.fr/
-Vcs-Browser: http://gforge.inria.fr/plugins/scmsvn/viewcvs.php/package/?root=vite
-Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/package
+Vcs-Browser: http://gforge.inria.fr/scm/browser.php?group_id=1596
+Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/tools/package
 
 Package: vite
 Architecture: any
